BufferedWriter Class Reference

Writes text to a character-output stream buffering requests to increase efficiency. More...

Inherits Writer.

## Public Member Functions

| BufferedWriter (WriterPtr &out)
| BufferedWriter (WriterPtr &out, size_t sz)
virtual | ~BufferedWriter ()
virtual void | close (Pool &p)
virtual void | flush (Pool &p)
virtual void | write (const LogString &str, Pool &p)

## Additional Inherited Members

Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Member Functions inherited from Writer
| Writer ()
virtual | ~Writer ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

Writes text to a character-output stream buffering requests to increase efficiency.

## Constructor & Destructor Documentation

BufferedWriter | ( | WriterPtr & | out | ) |

BufferedWriter | ( | WriterPtr & | out,
|  | size_t | sz
| ) |  |

virtual ~BufferedWriter | ( |  | ) |

virtual

## Member Function Documentation

virtual void close | ( | Pool & | p | ) |

virtual

Implements Writer.

virtual void flush | ( | Pool & | p | ) |

virtual

Implements Writer.

virtual void write | ( | const LogString & | str,
|  | Pool & | p
| ) |  |

virtual

Implements Writer.

The documentation for this class was generated from the following file:

- bufferedwriter.h